%define upstream_name    Selenium-Remote-Driver
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Representation of an HTML Element used by Selenium Remote Driver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Selenium/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::stat)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Compress::Zip)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::String)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::PSGI) >= 0.40.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(Test::Time)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Mock)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch: noarch

%description
Selenium is a test tool that allows you to write automated web application
UI tests in any programming language against any HTTP website using any
mainstream JavaScript-enabled browser. This module is an implementation of
the client for the Remote driver that Selenium provides. You can find
bindings for other languages at this location:

the http://code.google.com/p/selenium/ manpage

This module sends commands directly to the Server using HTTP. Using this
module together with the Selenium Server, you can automatically control any
supported browser. To use this module, you need to have already downloaded
and started the Selenium Server (Selenium Server is a Java application).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml TAGS
%{_mandir}/man3/*
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/Selenium/Firefox/*/*.so


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.270.0-4pclos2017
- rebuild against updates

